CREATE TABLE cml_trop_default_to_ship_lines (
    TROP_DEFAULT_TO_SHIP_LINE_ID    NUMBER(18, 0),
    TRADE_OPERATION_ID              NUMBER(18, 0)    NOT NULL,
    SHIPMENT_LINE_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    TROP_DEFAULT_TO_SHIP_LINE_ID    NUMBER(18, 0),
    TRADE_OPERATION_ID              NUMBER(18, 0)    NOT NULL,
    SHIPMENT_LINE_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    CONSTRAINT pk_cml_trop_default_to_ship_lines PRIMARY KEY (TROP_DEFAULT_TO_SHIP_LINE_ID, TROP_DEFAULT_TO_SHIP_LINE_ID)
);
